Subject: Re: bug#20075: 24.3; json.el functions are recursive

From: Dmitry Gutov <[email-masked]>
Date: Tue, 07 Apr 2015 16:29:41 +0300

Hi!

On 03/10/2015 11:35 PM, [email-masked] ([email-masked]) wrote:
> Feature request: rewrite `json.el' so that it doesn't use recursive
> functions. Emacs doesn't support TCO, therefore invoking `json.el'
> functions on huge data structures results in stack overflow.
>
> For example, I created a ridiculously huge data structure using a
> function from `dash.el':  ...

Have you seen this to be an actual problem in practice?

Would you be interested in implementing this feature?